Bug 64573 - Photo Album: Add Captions feature
Summary: Photo Album: Add Captions feature
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Rishabh
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicDesign
Depends on:
Blocks:
 
Reported: 2013-05-14 07:30 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-04-23 21:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation with Images and Captions (1.02 MB, application/vnd.oasis.opendocument.presentation)
2013-05-14 07:30 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2013-05-14 07:30:30 UTC
Created attachment 79285 [details]
Presentation with Images and Captions

Add a functionality to the Photo Album feature that automatically creates captions for each Slide.

Look at the attached presentation how they should look like (this has beek approved by the Design team).

You need to add a checkbox to the Dialog saying "Add Caption to each Slide": http://opengrok.libreoffice.org/xref/core/sd/uiconfig/simpress/ui/photoalbum.ui

Then implement it here: http://opengrok.libreoffice.org/xref/core/sd/source/ui/dlg/PhotoAlbumDialog.cxx
Comment 1 Björn Michaelsen 2013-10-04 18:47:05 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 2 Robinson Tryon (qubit) 2013-10-23 17:14:24 UTC
Removing comma from whiteboard (please use a space to delimit values in this field)
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Whiteboard#Getting_Started
Comment 3 Kunal Arora 2014-02-13 04:45:13 UTC
Hey, i am new here, i want to work on this enhancement. Can anyone guide me in the right direction.
Comment 4 Samuel Mehrbrodt (CIB) 2014-02-13 08:12:25 UTC
Hi Kunai, general code pointers are in Comment 0, please be specific where you need help.
Comment 5 Kunal Arora 2014-02-15 11:34:28 UTC
Hi Samuel,
i did make the checkbox in photoalbum.ui but i am not sure how to implement the caption feature , it would be really helpful if you could provide me some pointers on how to implemnt the same.
Comment 6 Samuel Mehrbrodt (CIB) 2014-02-15 12:42:08 UTC
Maybe someone else from the developers can help out? (Dev List is in CC)
Comment 7 Rishabh 2015-02-03 18:44:25 UTC
I hope the captions are to be added by creating a text box of black color right. If so, How is the size of text box determined? Is it adjusted according to the size of the text or it spans across the entire slide (slide 1 and slide 2)?
Comment 8 Ganesh Prabu 2015-02-08 07:58:30 UTC
Can someone please tell me how to add a text object in a slide?
Comment 9 Rishabh 2015-02-08 22:21:21 UTC
Any suggestions on what the default caption will be? (ex:click to add text/ caption or an empty field)
Comment 10 Rishabh 2015-02-12 18:18:12 UTC
I have almost completed the patch and before I submit it for review , any suggestions if I am missing on any requirement. The patch creates a rectangular box with attributes-
Color:Black
Transparency: Solid  20%
Any clarification, if it needs to have any default text (Click to insert Title/Caption) and size of the rectangular box(standard or anything else)?
Comment 11 Eike Rathke 2015-02-16 13:20:43 UTC
The attached example presentation on the last slide has "Click to add Title" so I'd use that. For size I'd use the width of the image/slide and height as in the example, which looks like ~3 text lines.
Comment 12 Commit Notification 2015-03-03 10:45:37 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=070141b854c7731aa44ccf6ce446802ad8653697

tdf#64573: Add captions to Photo Album

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Robinson Tryon (qubit) 2015-12-16 00:06:50 UTC
Migrating Whiteboard tags to Keywords: (EasyHack SkillCpp DifficultyBeginner TopicDesign )
[NinjaEdit]
Comment 14 Robinson Tryon (qubit) 2016-02-18 16:37:22 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]